1. Sources
RASL
  • Introduction
  • Authentication
  • Changelog
  • Messages
    • Overview
    • Send Text Message
      POST
    • Send Media Message
      POST
    • Send Template Message
      POST
    • Send Interactive Message
      POST
    • List Messages
      GET
    • Get Message
      GET
  • Auth (OTP/Verification)
    • Overview
    • Send OTP
      POST
    • Verify OTP
      POST
    • Resend OTP
      POST
    • Check OTP Status
      POST
    • List Authentication Templates
      GET
  • Templates
    • Overview
    • List Templates
      GET
    • Get Template
      GET
    • Sync Templates
      POST
  • Contacts
    • Overview
    • List Contacts
    • Create Contact
    • Get Contact
    • Update Contact
    • Delete Contact
    • Batch Create Contacts
    • Batch Delete Contacts
  • Groups
    • Overview
    • List Groups
    • Create Group
    • Get Group
    • Update Group
    • Delete Group
    • Add Contacts to Group
    • Remove Contacts from Group
  • Sources
    • Overview
    • List Sources
      GET
    • Create Source
      POST
    • Get Source
      GET
    • Update Source
      PATCH
    • Delete Source
      DELETE
  • Statuses
    • Overview
    • List Statuses
    • Create Status
    • Get Status
    • Update Status
    • Delete Status
  • Account
    • Overview
    • Get Account Info
    • Get Usage Statistics
    • Get Plan Limits
  • Integrations
    • Webhook Format Reference
    • N8N Webhook Integration
    • eCommerce Webhook Integration
      • Webhook Listener
      • WooCommerce Webhook Setup
Dashboard
Support
Support
  • Email
  • WhatsApp
Dashboard
Support
Support
  • Email
  • WhatsApp
Instagram
  1. Sources

Delete Source

DELETE
https://getrasl.io/api/v2/sources/{id}

Permanently delete a source by ID. Cannot delete if the source is currently assigned to any contacts.#

Required Scope:#

sources:write

Conflict Protection#

Before deletion, the API checks if any contacts are using this source (source_id). If contacts are found, a RESOURCE_CONFLICT error is returned with the count of affected contacts

Response#

Success (200 OK): Returns a success confirmation with message: "Source deleted successfully". The data field is null

Request

Authorization
Bearer Token
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
or
Path Params

Header Params

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request DELETE 'https://getrasl.io/api/v2/sources/' \
--header 'Authorization: Bearer <token>'

Responses

🟢200Success
application/json
Bodyapplication/json

Example
{
    "success": true,
    "data": {},
    "meta": {
        "request_id": "string",
        "timestamp": "string"
    }
}
🟠401UNAUTHORIZED
🟠403FEATURE_LIMIT_EXCEEDED
🟠404NOT_FOUND
🟠422VALIDATION_ERROR
🟠422WHATSAPP_NOT_CONFIGURED
🟠429RATE_LIMIT_EXCEEDED
🔴500INTERNAL_ERROR
Previous
Update Source
Next
Overview
Built with